package com.wechat.model.dto;

public class InvitationNumDto {

	//邀请总数
    private int            totail;
    
    //优质会员数
    private int            qualityNum;
    
    //已兑换优质会员数
    private int            exchangeQuality;
    
    //已兑换普通会员数
    private int            exchangeNormal;
    
    //可兑换优质会员数
    private int            mayuseQuality;
    
    //可兑换优质会员数
    private int            mayuseNormal;

	public int getTotail() {
		return totail;
	}

	public void setTotail(int totail) {
		this.totail = totail;
	}

	public int getQualityNum() {
		return qualityNum;
	}

	public void setQualityNum(int qualityNum) {
		this.qualityNum = qualityNum;
	}

	public int getExchangeQuality() {
		return exchangeQuality;
	}

	public void setExchangeQuality(int exchangeQuality) {
		this.exchangeQuality = exchangeQuality;
		setMayuseQuality(this.qualityNum - exchangeQuality);
	}

	public int getExchangeNormal() {
		return exchangeNormal;
	}

	public void setExchangeNormal(int exchangeNormal) {
		this.exchangeNormal = exchangeNormal;
		setMayuseNormal(this.totail- this.exchangeQuality - exchangeNormal);
	}

	public int getMayuseQuality() {
		return mayuseQuality;
	}

	public void setMayuseQuality(int mayuseQuality) {
		this.mayuseQuality = mayuseQuality;
	}

	public int getMayuseNormal() {
		return mayuseNormal;
	}

	public void setMayuseNormal(int mayuseNormal) {
		this.mayuseNormal = mayuseNormal;
	}



}
